package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.GoalBo;
import org.dromara.ygpassport.domain.vo.GoalVo;

import java.util.Collection;
import java.util.List;

/**
 * 目标信息Service接口
 *
 */
public interface IGoalService {
    /**
     * 查询目标信息
     */
    GoalVo queryById(Long id);

    /**
     * 查询目标信息列表
     */
    TableDataInfo<GoalVo> queryPageList(GoalBo bo, PageQuery pageQuery);

    /**
     * 查询目标信息列表
     */
    List<GoalVo> queryList(GoalBo bo);

    /**
     * 新增目标信息
     */
    Boolean insertByBo(GoalBo bo);

    /**
     * 修改目标信息
     */
    Boolean updateByBo(GoalBo bo);

    /**
     * 校验并批量删除目标信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<GoalVo> queryByBugByStuNo(String stuNo);
}
